#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( propeditor )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    tdelistviewaction.h qcomboview.h flagboxes.h
    ksavealldialog.h resizablecombo.h kcomboview.h
    kdevhtmlpart.h processlinemaker.h processwidget.h
    fancylistviewitem.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/widgets )


##### other data ################################

install( FILES kdevhtml_partui.rc DESTINATION ${DATA_INSTALL_DIR}/tdevelop )


##### kdevwidgets (shared) ######################

tde_add_library( kdevwidgets SHARED AUTOMOC
  SOURCES
    flagboxes.cpp qcomboview.cpp tdelistviewaction.cpp
    kcomboview.cpp resizablecombo.cpp kdevhtmlpart.cpp
    processlinemaker.cpp processwidget.cpp ksavealldialog.cpp
    fancylistviewitem.cpp
  VERSION 0.0.0
  LINK tdeio-shared tdehtml-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
